import { h } from 'preact';
import { Link } from 'preact-router';
import { useContext } from 'preact/hooks';
import AppState from '../../store/AppState';
import { Breadcrumbs } from '../../components';

function Logout() {
    const navigation = ["Logout"];
    let [sessiondata, setsession] = useContext(AppState).session;
    this.shouldComponentUpdate = function () {
        console.log('functional component vs closures');
    }
    if (sessiondata.active) {
        setsession({ type: 'end' })
    }



    return (
        <div class="container">
            <Breadcrumbs items={navigation} />

            <p>
                Erfolgreich abgemeldet.
                <Link href="/login">Erneut Anmelden</Link>
            </p>
        </div>
    );

}

export default Logout;